package cn.wangdian.erp.demo;

import cn.wangdian.erp.sdk.Client;
import cn.wangdian.erp.sdk.api.wms.stockin.StockinAPI;
import cn.wangdian.erp.sdk.api.wms.stockout.StockoutAPI;
import cn.wangdian.erp.sdk.api.wms.stockout.dto.CreateOtherStockoutRequest;
import cn.wangdian.erp.sdk.api.wms.stockout.dto.CreateOtherStockoutResponse;
import cn.wangdian.erp.sdk.impl.ApiFactory;
import cn.wangdian.erp.sdk.impl.DefaultClient;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class CreateStockout
{
    public static void main(String[] args)
    {
        //        Client client = DefaultClient.get("wdtapi3", "test", "test");
        Client client = DefaultClient.get("wdterp30", "http://192.168.84.1:30000/openapi", "zyOther", "423c25002f36c7445ccd7742ea5d1be4:8f034c5a36d5749a438951cde1963f2a");
        StockoutAPI stockoutAPI = ApiFactory.get(client, StockoutAPI.class);
        refundStockOut(stockoutAPI);
    }

    private static void refundStockOut(StockoutAPI stockoutAPI)
    {
        CreateOtherStockoutRequest request = new CreateOtherStockoutRequest();
        CreateOtherStockoutRequest.GoodsList outRequest1 = new CreateOtherStockoutRequest.GoodsList();
        CreateOtherStockoutRequest.GoodsList outRequest2 = new CreateOtherStockoutRequest.GoodsList();
        request.setWarehouseNo("1001");
        request.setOuterNo("CG201911286258");
        request.setRemark("测试1");
        request.setReason("1");
        outRequest1.setSpecNo("sjdhlg");
        outRequest1.setPositionNo("J-3");
        outRequest1.setNum(BigDecimal.valueOf(3));
        List<CreateOtherStockoutRequest.GoodsList> list=new ArrayList<>();
        list.add(outRequest1);
        list.add(outRequest2);
        request.setGoodsList(list);

        CreateOtherStockoutResponse response = stockoutAPI.createOtherOutOrder(request);

        System.out.println(response);
    }
}
