package cn.wangdian.erp.demo;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import cn.wangdian.erp.sdk.Client;
import cn.wangdian.erp.sdk.api.purchasereturn.PurchaseReturnAPI;
import cn.wangdian.erp.sdk.api.purchasereturn.dto.PurchaseReturnCreateOrderResponse;
import cn.wangdian.erp.sdk.api.purchasereturn.dto.PurchaseReturnDetail;
import cn.wangdian.erp.sdk.api.purchasereturn.dto.PurchaseReturnOrderInfo;
import cn.wangdian.erp.sdk.api.wms.StockAPI;
import cn.wangdian.erp.sdk.impl.ApiFactory;
import cn.wangdian.erp.sdk.impl.DefaultClient;

public class PurchaseReturn 
{
	
	public static void main(String[] args) 
	{
		Client client = DefaultClient.get("wdterp30", "http://192.168.2.174:30000/", "lichAPI",
				"9d083f54d85d35379a342b154059c182:865d2f6bc467a6c7da0e0db8f7029538");
		
		PurchaseReturnAPI purchaseReturnAPI = ApiFactory.get(client, PurchaseReturnAPI.class);
		
		PurchaseReturnOrderInfo orderInfo = new PurchaseReturnOrderInfo();
		orderInfo.setOuterNo("CR201701010004");
		orderInfo.setWarehouseNo("lich0313");
		orderInfo.setProviderNo("lich0313");
		orderInfo.setPostFee(new BigDecimal(5));
		orderInfo.setOtherFee(new BigDecimal(10));
		orderInfo.setRemark("lichTest");
		
		PurchaseReturnDetail detail = new PurchaseReturnDetail();
		detail.setSpec_no("lich0313q");
		detail.setDiscount(new BigDecimal(5));
		detail.setNum(new BigDecimal(5));
		detail.setPrice(new BigDecimal(5));
		detail.setRemark("test");
		
		List<PurchaseReturnDetail> detailList = new ArrayList<PurchaseReturnDetail>();
		detailList.add(detail);
		boolean is_submit = false;
		
		PurchaseReturnCreateOrderResponse response = purchaseReturnAPI.createOrder(orderInfo, detailList, is_submit);
		System.out.println(response.getMessage());
	}
}
